Package org.mariadb.jdbc.plugin.authentication.addon.gssapi

## Interface GssapiAuth

All Known Implementing Classes:
  `StandardGssapiAuthentication`, `WindowsNativeSspiAuthentication`

    public interface GssapiAuth

GSSAPI interface

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `authenticate​(Writer writer, Reader in, String servicePrincipalName, String mechanisms)` Authenticate

### Method Detail

#### authenticate

    void authenticate​(Writer writer,
                      Reader in,
                      String servicePrincipalName,
                      String mechanisms)
               throws IOException,
                      SQLException

Authenticate

Parameters:
  `writer` - socket writer
  `in` - socket reader
  `servicePrincipalName` - SPN
  `mechanisms` - mechanisms
Throws:
  `IOException` - if any socket error occurs
  `SQLException` - for any other type of errors